Bug 1643091 - CVE-2018-16395 CVE-2018-16396 ruby: various flaws [fedora-all]
Summary: CVE-2018-16395 CVE-2018-16396 ruby: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: 28
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-16395 CVE-2018-16396
TreeView+ depends on / blocked
 
Reported: 2018-10-25 13:40 UTC by Andrej Nemec
Modified: 2018-11-22 02:55 UTC (History)
8 users (show)

Fixed In Version: ruby-2.5.3-101.fc30 ruby-2.5.3-99.fc29 ruby-2.5.3-94.fc28 ruby-2.4.5-90.fc27
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-21 03:11:06 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-10-25 13:40:07 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2018-10-25 13:40:12 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1643086,1643089,1643091

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jun Aruga 2018-10-25 14:46:29 UTC
Current status on Fedora
Fedora rawhide: ruby-2.5.3 including rubygme-opnssl-2.1.2 was released.
F** branch: working in progress.

Comment 3 Fedora Update System 2018-10-26 15:35:24 UTC
ruby-2.5.3-99.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-319b9d0f68

Comment 4 Jun Aruga 2018-10-30 16:02:20 UTC
Current status on Fedora
Fedora rawhide: released
f29: testing on Bodhi
f28: It was pushed to the repository. But not built yet because of an issue.
f27: In review on the pull-request.

Comment 5 Fedora Update System 2018-10-31 18:49:26 UTC
ruby-2.5.3-99.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-319b9d0f68

Comment 6 Fedora Update System 2018-11-09 06:01:06 UTC
ruby-2.5.3-99.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Jun Aruga 2018-11-09 12:55:23 UTC
f29: it was pushed to stable.

But below are still in progress.
f28: It was pushed to the repository. But not built yet because of an issue.
f27: In review on the pull-request.

Comment 8 Fedora Update System 2018-11-12 11:36:16 UTC
ruby-2.5.3-94.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6070bcf454

Comment 9 Fedora Update System 2018-11-13 04:06:56 UTC
ruby-2.5.3-94.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6070bcf454

Comment 10 Fedora Update System 2018-11-13 12:47:42 UTC
ruby-2.4.5-90.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-190ecd2ef8

Comment 11 Fedora Update System 2018-11-14 04:57:30 UTC
ruby-2.4.5-90.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-190ecd2ef8

Comment 12 Fedora Update System 2018-11-21 03:11:06 UTC
ruby-2.5.3-94.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-22 02:55:14 UTC
ruby-2.4.5-90.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.